[%#
   This file is part of WfInvoice -- the free invoicing software
   Copyright (C) 2012 Anton Katsarov <anton@webface.bg>

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU Affero General Public License as
   published by the Free Software Foundation, either version 3 of the
   License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU Affero General Public License for more details.

   You should have received a copy of the GNU Affero General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
-%]
[% USE id = format('%08s') %]
[% USE pfx = format('%02s') %]
<h2>Префикси / Кочани фактури</h2>

[% mydata %]
<form method="post" action="">
  <table summary="">
    <tr>
      <th>Префикс</th>
      <th>Следващ номер - кратък</th>
      <th>Следващ номер</th>
      <th>Инструменти</th>
    </tr>
    [% FOR prefix = prefixes -%]
    <tr>
      <td>[% prefix.prefix %]</td>
      <td>[% prefix.number + 1 %]</td>
      <td>[% pfx(prefix.prefix) _ id(prefix.number + 1) %]</td>
      <td>
	<a class="tips edit" title="Редактиране" href="[% c.uri_for('/invoices/prefixes') _ '?edit=' _ prefix.prefix %]">Редактиране</a>
      </td>
    </tr>
    [% IF c.request.method == "GET" && c.request.params.edit.defined && c.request.params.edit == prefix.prefix -%]
    [% mydata.prefix = prefix.prefix -%]
    [% mydata.number = prefix.number + 1 -%]
    [% END -%]
    [% END -%]
    <tr>
      <td><input type="text" name="prefix"[% IF mydata.prefix.defined %] value="[% mydata.prefix %]"[% END %] /></td>
      <td><input type="text" name="number"[% IF mydata.number %] value="[% mydata.number %]"[% END %] /></td>
      <td>&nbsp;</td>
      <td>
	<input type="submit" name="go" value="Изпрати" tabindex="3" class="submit" />
      </td>
    </tr>
  </table>
</form>
